#!/usr/lib/python2.3
import sys
import config

args = ['--backup',
        '-v',
        '-r%s' % (config.repo,),
        '-f%s' % (config.data,)] 

if __name__ == '__main__':
    sys.path.append(config.local_zope + '/lib/python') # general zope stuff
    sys.path.append(config.local_zope + '/bin')        # for import repozo

    if sys.version.startswith(config.required_python): # checking if we have appropriate python version
        sys.argv[1:] = args

        import repozo

        repozo.main()
        sys.exit(0)
    else:
        sys.exit(2)